Reset Users passwords (Known Value)
put
/cloudapi/restapi/v3/user/manual-reset-pwd/{isEmailPasswd}
This operation resets the password for a set of users. The password for each user is set to the password string supplied in the user object. The operation can also notify the user regarding the password reset if required. 'changePwdAtNextLogin' is a read only field and always set to false.
Example request: PUT /cloudapi/restapi/v3/user/manual-reset-pwd/true
Request
Path Parameters
-
isEmailPasswd(required): boolean
Controls whether an email notification should be triggered to each user regarding password-reset operation.Example:
true
Supported Media Types
- application/json
Root Schema : List<UserRO>
Type:
arrayTitle:
Show Source
List<UserRO>-
Array of:
object UserRO
Title:
UserROUser record used by Cloud Administration user management APIs.
Nested Schema : UserRO
Type:
objectTitle:
UserROUser record used by Cloud Administration user management APIs.
Show Source
-
admin: boolean
Title:
adminIndicates whether the user has administrator privileges. -
changePwdAtNextLogin: boolean
Title:
changePwdAtNextLoginRead Only:trueIndicates whether the user must change password at next login. -
createdBy: string
Title:
createdByRead Only:trueUser or process that created this record. -
createdDate: object
CloudTZDateTime
Title:
CloudTZDateTimeRead Only:trueDate and time when the password was last reset. -
deprovisionedDate: string
(date-time)
Title:
deprovisionedDateRead Only:trueDate and time when the user was deprovisioned. -
deprovisioningDate: string
(date-time)
Title:
deprovisioningDateRead Only:trueDate and time when user deprovisioning started. -
disabled(required): boolean
Title:
disabledIndicates whether the user account is disabled. -
emailAddress(required): string
Title:
emailAddressUser email address. -
employeeNumber: string
Title:
employeeNumberEmployee number associated with the user. -
endDate: string
(date-time)
Title:
endDateDate after which the user account is inactive. -
firstName(required): string
Title:
firstNameUser first name. -
id: string
Title:
idRead Only:trueInternal user identifier. -
lastName(required): string
Title:
lastNameUser last name. -
lastPasswordResetDate: object
CloudTZDateTime
Title:
CloudTZDateTimeRead Only:trueDate and time when the password was last reset. -
locked: boolean
Title:
lockedIndicates whether the user account is locked. -
loginAttemptsCtr: string
Title:
loginAttemptsCtrRead Only:trueNumber of failed login attempts. -
loginId(required): string
Title:
loginIdUser login identifier. -
manager: string
Title:
managerManager login identifier or name. -
middleName: string
Title:
middleNameUser middle name. -
organization(required): object
CompanyRO
Title:
CompanyROCompany or organization record used by Cloud Administration APIs. -
password: string
(password)
Title:
passwordPassword to set for password reset operations. -
processed: boolean
Title:
processedRead Only:trueIndicates whether the user record has been processed by a create or update job. -
provisionedDate: string
(date-time)
Title:
provisionedDateRead Only:trueDate and time when the user was provisioned. -
provisioningDate: string
(date-time)
Title:
provisioningDateRead Only:trueDate and time when user provisioning started. -
pwdCantChange: boolean
Title:
pwdCantChangeIndicates whether the user is prevented from changing the password. -
pwdExpired: boolean
Title:
pwdExpiredRead Only:trueIndicates whether the user password has expired. -
pwdExpireDate: string
(date-time)
Title:
pwdExpireDateRead Only:trueDate and time when the current password expires. -
pwdWarnDate: string
(date-time)
Title:
pwdWarnDateRead Only:trueDate and time when password expiration warning starts. -
pwdWarned: boolean
Title:
pwdWarnedRead Only:trueIndicates whether the user has been warned about password expiration. -
roles: array
List<RoleRO>
Title:
List<RoleRO>Roles assigned to the user. -
startDate: string
(date-time)
Title:
startDateDate from which the user account is active. -
status: string
Title:
statusUser account status. -
statusInfo: string
Title:
statusInfoRead Only:trueProcessing status details for create or update jobs. -
statusInfoOK: boolean
Title:
statusInfoOK -
updatedDate: object
CloudTZDateTime
Title:
CloudTZDateTimeRead Only:trueDate and time when the password was last reset. -
userType: string
Title:
userTypeUser type.
Nested Schema : CloudTZDateTime
Type:
objectTitle:
CloudTZDateTimeRead Only:
trueDate and time when the password was last reset.
Show Source
-
millis: integer
(int64)
Title:
millis -
wrappedDateTime: string
(date-time)
Title:
wrappedDateTime
Nested Schema : CompanyRO
Type:
objectTitle:
CompanyROCompany or organization record used by Cloud Administration APIs.
Show Source
-
associations: array
List<string>
Title:
List<string>Unique Items Required:trueRole or product associations for the company. -
bidderCompany: boolean
Title:
bidderCompanyIndicates whether the company is a bidder company. -
createdBy: string
Title:
createdByRead Only:trueUser or process that created the company. -
createdDate: string
(date-time)
Title:
createdDateRead Only:trueDate and time when the company was created. -
displayName(required): string
Title:
displayNameDisplay name for the company. -
id(required): string
Title:
idInternal company identifier. -
inheritedPolicy: boolean
Title:
inheritedPolicyIndicates whether the password policy is inherited from a parent company. -
isDeletable: boolean
Title:
isDeletableRead Only:trueIndicates whether the company can be deleted. -
name(required): string
Title:
nameCompany name. -
parentId: string
Title:
parentIdIdentifier of the parent company. -
parentName: string
Title:
parentNameName of the parent company. -
processed: boolean
Title:
processedRead Only:trueIndicates whether the company record has been processed. -
pwdPolicy: object
ShortPasswordPolicyRO
Title:
ShortPasswordPolicyROSummary password policy associated with a company. -
status: string
Title:
statusCompany status. -
statusInfo: string
Title:
statusInfoRead Only:trueProcessing status details for create or update requests. -
type: string
Title:
typeCompany type. -
updatedBy: string
Title:
updatedByRead Only:trueUser or process that last updated the company. -
updatedDate: string
(date-time)
Title:
updatedDateRead Only:trueDate and time when the company was last updated.
Nested Schema : List<RoleRO>
Type:
arrayTitle:
List<RoleRO>Roles assigned to the user.
Show Source
-
Array of:
object RoleRO
Title:
RoleROApplication role assigned to a user or company.
Nested Schema : List<string>
Type:
arrayTitle:
List<string>Unique Items Required:
trueRole or product associations for the company.
Show Source
-
Array of:
string
Role or product associations for the company.
Nested Schema : ShortPasswordPolicyRO
Type:
objectTitle:
ShortPasswordPolicyROSummary password policy associated with a company.
Show Source
-
id: string
Title:
idPassword policy identifier. -
name(required): string
Title:
namePassword policy name.
Nested Schema : RoleRO
Type:
objectTitle:
RoleROApplication role assigned to a user or company.
Show Source
-
companyAccessType: boolean
Title:
companyAccessTypeIndicates whether the role grants company-level access. -
displayName: string
Title:
displayNameDisplay name for the role. -
id: string
Title:
idRead Only:trueInternal role identifier. -
name(required): string
Title:
nameRole name. -
userAccessType: string
Title:
userAccessTypeUser access type granted by the role.
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
successful operation
Root Schema : UserRO
Type:
objectTitle:
UserROUser record used by Cloud Administration user management APIs.
Show Source
-
admin: boolean
Title:
adminIndicates whether the user has administrator privileges. -
changePwdAtNextLogin: boolean
Title:
changePwdAtNextLoginRead Only:trueIndicates whether the user must change password at next login. -
createdBy: string
Title:
createdByRead Only:trueUser or process that created this record. -
createdDate: object
CloudTZDateTime
Title:
CloudTZDateTimeRead Only:trueDate and time when the password was last reset. -
deprovisionedDate: string
(date-time)
Title:
deprovisionedDateRead Only:trueDate and time when the user was deprovisioned. -
deprovisioningDate: string
(date-time)
Title:
deprovisioningDateRead Only:trueDate and time when user deprovisioning started. -
disabled(required): boolean
Title:
disabledIndicates whether the user account is disabled. -
emailAddress(required): string
Title:
emailAddressUser email address. -
employeeNumber: string
Title:
employeeNumberEmployee number associated with the user. -
endDate: string
(date-time)
Title:
endDateDate after which the user account is inactive. -
firstName(required): string
Title:
firstNameUser first name. -
id: string
Title:
idRead Only:trueInternal user identifier. -
lastName(required): string
Title:
lastNameUser last name. -
lastPasswordResetDate: object
CloudTZDateTime
Title:
CloudTZDateTimeRead Only:trueDate and time when the password was last reset. -
locked: boolean
Title:
lockedIndicates whether the user account is locked. -
loginAttemptsCtr: string
Title:
loginAttemptsCtrRead Only:trueNumber of failed login attempts. -
loginId(required): string
Title:
loginIdUser login identifier. -
manager: string
Title:
managerManager login identifier or name. -
middleName: string
Title:
middleNameUser middle name. -
organization(required): object
CompanyRO
Title:
CompanyROCompany or organization record used by Cloud Administration APIs. -
password: string
(password)
Title:
passwordPassword to set for password reset operations. -
processed: boolean
Title:
processedRead Only:trueIndicates whether the user record has been processed by a create or update job. -
provisionedDate: string
(date-time)
Title:
provisionedDateRead Only:trueDate and time when the user was provisioned. -
provisioningDate: string
(date-time)
Title:
provisioningDateRead Only:trueDate and time when user provisioning started. -
pwdCantChange: boolean
Title:
pwdCantChangeIndicates whether the user is prevented from changing the password. -
pwdExpired: boolean
Title:
pwdExpiredRead Only:trueIndicates whether the user password has expired. -
pwdExpireDate: string
(date-time)
Title:
pwdExpireDateRead Only:trueDate and time when the current password expires. -
pwdWarnDate: string
(date-time)
Title:
pwdWarnDateRead Only:trueDate and time when password expiration warning starts. -
pwdWarned: boolean
Title:
pwdWarnedRead Only:trueIndicates whether the user has been warned about password expiration. -
roles: array
List<RoleRO>
Title:
List<RoleRO>Roles assigned to the user. -
startDate: string
(date-time)
Title:
startDateDate from which the user account is active. -
status: string
Title:
statusUser account status. -
statusInfo: string
Title:
statusInfoRead Only:trueProcessing status details for create or update jobs. -
statusInfoOK: boolean
Title:
statusInfoOK -
updatedDate: object
CloudTZDateTime
Title:
CloudTZDateTimeRead Only:trueDate and time when the password was last reset. -
userType: string
Title:
userTypeUser type.
Nested Schema : CloudTZDateTime
Type:
objectTitle:
CloudTZDateTimeRead Only:
trueDate and time when the password was last reset.
Show Source
-
millis: integer
(int64)
Title:
millis -
wrappedDateTime: string
(date-time)
Title:
wrappedDateTime
Nested Schema : CompanyRO
Type:
objectTitle:
CompanyROCompany or organization record used by Cloud Administration APIs.
Show Source
-
associations: array
List<string>
Title:
List<string>Unique Items Required:trueRole or product associations for the company. -
bidderCompany: boolean
Title:
bidderCompanyIndicates whether the company is a bidder company. -
createdBy: string
Title:
createdByRead Only:trueUser or process that created the company. -
createdDate: string
(date-time)
Title:
createdDateRead Only:trueDate and time when the company was created. -
displayName(required): string
Title:
displayNameDisplay name for the company. -
id(required): string
Title:
idInternal company identifier. -
inheritedPolicy: boolean
Title:
inheritedPolicyIndicates whether the password policy is inherited from a parent company. -
isDeletable: boolean
Title:
isDeletableRead Only:trueIndicates whether the company can be deleted. -
name(required): string
Title:
nameCompany name. -
parentId: string
Title:
parentIdIdentifier of the parent company. -
parentName: string
Title:
parentNameName of the parent company. -
processed: boolean
Title:
processedRead Only:trueIndicates whether the company record has been processed. -
pwdPolicy: object
ShortPasswordPolicyRO
Title:
ShortPasswordPolicyROSummary password policy associated with a company. -
status: string
Title:
statusCompany status. -
statusInfo: string
Title:
statusInfoRead Only:trueProcessing status details for create or update requests. -
type: string
Title:
typeCompany type. -
updatedBy: string
Title:
updatedByRead Only:trueUser or process that last updated the company. -
updatedDate: string
(date-time)
Title:
updatedDateRead Only:trueDate and time when the company was last updated.
Nested Schema : List<RoleRO>
Type:
arrayTitle:
List<RoleRO>Roles assigned to the user.
Show Source
-
Array of:
object RoleRO
Title:
RoleROApplication role assigned to a user or company.
Nested Schema : List<string>
Type:
arrayTitle:
List<string>Unique Items Required:
trueRole or product associations for the company.
Show Source
-
Array of:
string
Role or product associations for the company.
Nested Schema : ShortPasswordPolicyRO
Type:
objectTitle:
ShortPasswordPolicyROSummary password policy associated with a company.
Show Source
-
id: string
Title:
idPassword policy identifier. -
name(required): string
Title:
namePassword policy name.
Nested Schema : RoleRO
Type:
objectTitle:
RoleROApplication role assigned to a user or company.
Show Source
-
companyAccessType: boolean
Title:
companyAccessTypeIndicates whether the role grants company-level access. -
displayName: string
Title:
displayNameDisplay name for the role. -
id: string
Title:
idRead Only:trueInternal role identifier. -
name(required): string
Title:
nameRole name. -
userAccessType: string
Title:
userAccessTypeUser access type granted by the role.
400 Response
Invalid input, Please check.